
/*******************************************************/
/*  International Data Centre                          */
/*  Comprehensive Test Ban Treaty Organization         */
/*  Vienna                                             */
/*  Austria                                            */
/*******************************************************/

/**
 * @author    Gerald Klinkl, Siemens Austria
 * @version   $Revision: 1.5 $
 * @date      $Date: 2010-05-11 15:24:28 $
 *
 * $Log: init_cd2w.h,v $
 * Revision 1.5  2010-05-11 15:24:28  gerald
 * Add function for getting cd2wng extension pointer
 *
 * Revision 1.4  2008/07/28 09:26:36  gerald
 * Move functions for setting and retrieving sensor information
 * to libCD
 *
 * Revision 1.3  2008/05/08 16:00:12  gerald
 * Move function prototype from merge.h to init_cd2w.h
 *
 * Revision 1.2  2008/05/08 14:38:54  gerald
 * Add function for loading  sensor descriptions from file
 * and function which searches the sensor description
 *
 * Revision 1.1  2008/03/20 17:01:38  gerald
 * Add functions for initializing cd2w
 *
 *
 */

#ifndef _INIT_CD2W_H
#define _INIT_CD2W_H

#include "fileAPI.h"

/* ==== Data structures ===================================================== */

/* ==== Prototypes ========================================================== */
extern void readCd2wConfigParams(const char *appName, const char *fileName,
                                   configParams_t *pConfigData);
extern void dumpCd2wConfigurationParameter (configParams_t *pConfigData);
/*@dependent@*/extern senderParams_t *getCd2wngConfigExtension();

#endif /* _INIT_CD2W_H */
