#ifndef _CDRECV_H
#define _CDRECV_H

/**
 * @author    Gerald Klinkl, Siemens Austria
 * @version   $Revision: 1.55 $
 * @date      $Date: 2009-03-11 10:11:55 $
 */

#ifdef S_SPLINT_S
 #include "splint_hints.h"
#endif /* S_SPLINT_S */

#include <stdio.h>

#include "cd_common.h"

#define APP_NAME         "CDreceiver"

#define MAX_HANDLING_STARTUP_TIME  2  /* listener waits this time for handling
                                         threads to come up */

/* ==== Data structures ===================================================== */
typedef struct _cdrecv
{
   /*@owned@*/
   CDframeset_t *firstFrameset;   /**< pointer to frame set(s) */
} cdrecv_t;

typedef struct _receiverParams
{
   uint16_t  startPort;   /**< lowest port for redirection */
   uint16_t  endPort;     /**< highest port for redirection */
   /* ------------------ not read from config file ---------------------------*/
   /*@shared@*/
   portMap_t *portInfoArray;  /**< information about used ports */
   uint16_t  nbrOfPorts;      /**< number of used ports */
   char offlineFile[LIBPAR_BUFSIZ]; /**< file contains data check directives */
   pthread_mutex_t readyMutex;  /**< Mutex to signaling readiness to listener */
   pthread_cond_t readyCondition; /**< Condition to signaling readiness to
                                       listener thread */
} receiverParams_t;

/* ==== Function prototypes ================================================ */

/* +++++++++++++++++++++++++ Functions from listen.c */
/*@null@*/extern void *portListen(/*@dependent@*/void * arg);
extern int startHandlingThread(/*@dependent@*/configParams_t *pConfigData,
                                     station_t *pStation);
/*@null@*/extern void *portHandle(void * arg);
/*@null@*/extern void *sendData(/*@dependent@*/void * arg);

#endif /* _CDRECV_H */
